Bug 36384 - Mono does not recognise overloaded method with "params object[]"
Summary: Mono does not recognise overloaded method with "params object[]"
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 4.0.0
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-11-30 17:42 UTC by Frederik
Modified: 2015-11-30 22:48 UTC (History)
1 user (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Frederik 2015-11-30 17:42:13 UTC
I have a method called "WriteLine()", calling it using "WriteLine("some text");" gives the error:
"The call is ambiguous between the following methods or properties: `WriteLine(string, System.ConsoleColor, System.ConsoleColor)' and `WriteLine(string, System.ConsoleColor, System.ConsoleColor, params object[])' (CS0121)"

The method has the following 2 overloads (signatures):
public void WriteLine(string format, ConsoleColor foreColor = ConsoleColor.White, ConsoleColor backColor = ConsoleColor.Black, params object[] args)
public void WriteLine(string line, ConsoleColor foreColor = ConsoleColor.White, ConsoleColor backColor = ConsoleColor.Black)

Calling the method like this, does not yield the error:
WriteLine("", ConsoleColor.Black, ConsoleColor.Black);
Comment 1 Marek Safar 2015-11-30 22:48:42 UTC
Fixed in master

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.